Reverse a charge
Reverses an uncaptured charge. This is useful when a pre-authorized charge should not be captured.
Request Parametersโ
Path & Query Parametersโ
Parameters
Responsesโ
200 Charge reversed successfullyโ
Returns a Charge object.
400 undefinedโ
401 undefinedโ
Code Samplesโ
- cURL
- Ruby
- Python
- Node.js
curl https://api.omise.co/charges/:id/reverse \
-u skey_test_5xuy4w91xqz7d1w9u0t:
require 'omise'
Omise.api_key = 'skey_test_5xuy4w91xqz7d1w9u0t'
reverseCharge = Omise::Charge.post
import omise
omise.api_secret = 'skey_test_5xuy4w91xqz7d1w9u0t'
reverseCharge = omise.Charge.post()
const omise = require('omise')({
secretKey: 'skey_test_5xuy4w91xqz7d1w9u0t'
});
const reverseCharge = await omise.charges.post();
API Credentials
Try it outโ
Use the interactive form above to test this endpoint.